Pular para o conteúdo principal
GET
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
Recuperar funções por tipo para uma determinada definição
curl --request GET \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType} \
  --header 'Authorization: Bearer <token>'
{
  "functionSource": "<string>",
  "functionType": "POST_ACTION_EXECUTION",
  "id": "<string>"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório
definitionId
string
obrigatório
functionType
enum<string>
obrigatório
Opções disponíveis:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Resposta

successful operation

functionSource
string
obrigatório

O código-fonte ou script que define o comportamento da função.

functionType
enum<string>
obrigatório

O tipo de função. Os valores aceitos são: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Opções disponíveis:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

O identificador exclusivo da função de ação.

Last modified on April 13, 2026